package cn.cslg.report.service.business;

import cn.cslg.report.entity.AssoComapareFiel;
import cn.cslg.report.mapper.AssoComapareFielMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;
@SuppressWarnings({"all"})
@Service
public class AssoComapareFielService extends ServiceImpl<AssoComapareFielMapper, AssoComapareFiel> {
    /**
     * 增加 对比文件标引关联表 对应实体comapareFiel
     * @param comapareFiel
     * @throws IOException
     */
    public void add(AssoComapareFiel comapareFiel) throws IOException{
        comapareFiel.insert();

    }

    /**
     *  修改 对比文件标引关联表 对应实体comapareFiel
     * @param assoComapareFiel
     * @throws IOException
     */
    public void   updateAssoComapareFiel(AssoComapareFiel assoComapareFiel)throws  IOException{
        assoComapareFiel.updateById();
    }

    /**
     * @function 根据对比文件的id查询
     * @param id 对比文件id
     * @return 对比文件标引关联表 对应实体comapareFiel
     * @throws IOException
     */
    public List<AssoComapareFiel>  select(int id)throws  IOException{
        LambdaQueryWrapper<AssoComapareFiel> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(AssoComapareFiel::getCompareFileID,id);
        List<AssoComapareFiel> list = this.list();
        return list;

    }





}
